Make make-release not need to clone MW for every branch
Closed, ResolvedPublic

Description

So, I'm making releases for 3 MW versions... make-release clones core 6 times because I haven't made releases for those versions before

Sadface

Can we use linked clones or something nice?

Reedy created this task.Nov 14 2017, 8:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2017, 8:16 PM
Reedy updated the task description. (Show Details)Nov 14 2017, 8:39 PM
Reedy updated the task description. (Show Details)
demon triaged this task as Normal priority.Jan 12 2018, 10:57 PM
Legoktm claimed this task.Sep 12 2018, 10:31 PM

Change 454609 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Move to git archive like model for MediaWiki releases

https://gerrit.wikimedia.org/r/454609

Change 454609 merged by jenkins-bot:
[mediawiki/tools/release@master] Move to git archive like model for MediaWiki releases

https://gerrit.wikimedia.org/r/454609

Legoktm closed this task as Resolved.Fri, Sep 21, 4:19 AM